System Commands
Ta treść nie jest jeszcze dostępna w Twoim języku.
Reboot Device
Section titled “Reboot Device”Initiates a delayed device reboot.
POST /api/cmd/reboot/
Request Parameters:
| Field | Type | Description |
|---|---|---|
rebootSec | integer | Delay before reboot, from 0 to 180 seconds. |
Example Request:
{ "rebootSec": 3}Set Time
Section titled “Set Time”Sets the device time immediately.
POST /api/cmd/time/set/
Request Parameters:
| Field | Type | Description |
|---|---|---|
time | string | Time in ISO 8601 format relative to UTC0. |
Example Request:
{ "time": "2025-05-15T16:50:27"}Sync Time
Section titled “Sync Time”Immediately synchronizes device time with NTP servers specified in settings.
POST /api/cmd/time/sync/
Example Request:
{}Activate License
Section titled “Activate License”Sends an activation request via WireGuard interface. Supported only with active WireGuard connection.
POST /api/activation/
Request Parameters:
| Field | Type | Description |
|---|---|---|
activation | object | Activation data object. |
infrastructureName | string | Infrastructure name. |
infrastructureShortUrl | string | Short URL to infrastructure site. |
domain | string | Server address used for activation. |
endpointId | string | Unique device identifier. |
endpointName | string | Device name. |
propertyId | string | Organization identifier. |
propertyName | string | Organization name. |
pin | string | 8-digit device PIN code. |
hasBonusesEur | string | Bonus amount on organization account. |
activeTill | string / null | Activation expiration date (ISO 8601, UTC), or null to reset activation. |
supportEmail | string | Support service email. |